commit:     788f3ced882961cd7f96241889cd0e41474fd26c
Author:     John Helmert III <ajak <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 16 13:26:10 2022 +0000
Commit:     John Helmert III <ajak <AT> gentoo <DOT> org>
CommitDate: Fri Sep 16 13:27:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=788f3ced

dev-ruby/hiera-eyaml: add 3.3.0

Robin asked for this, so that the following PR is in-tree.

https://github.com/voxpupuli/hiera-eyaml/pull/329

Signed-off-by: John Helmert III <ajak <AT> gentoo.org>

 dev-ruby/hiera-eyaml/Manifest                 |  1 +
 dev-ruby/hiera-eyaml/hiera-eyaml-3.3.0.ebuild | 49 +++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-ruby/hiera-eyaml/Manifest b/dev-ruby/hiera-eyaml/Manifest
index 3c35e69a1085..e96204128486 100644
--- a/dev-ruby/hiera-eyaml/Manifest
+++ b/dev-ruby/hiera-eyaml/Manifest
@@ -1,2 +1,3 @@
 DIST hiera-eyaml-3.1.1.tar.gz 54848 BLAKE2B 
8daa4925bf1fb945ddb5ce7a485c3bf2bfca8747eb0cf00530eb91307d18d3f5c73699a30631b80e7825baac3a8b0c1695bd0313906bc8c7aba9c3c00d69b9cc
 SHA512 
3bc93ca31af96383401f28644490f5540a70cf719e47d340794daf6c8bcc7fe9800d1d1e6ba99aba344831966f8d15f1a1fd9d1522696457f0bdec79dd45a108
 DIST hiera-eyaml-3.2.2.tar.gz 59174 BLAKE2B 
2e31d1d0807096757f338a3f112a2f853f9dc61d14f92720a06e8835ef5b2228cea1ef2db1d5d7a2758422158acca14e882e1fa88a3189fcc254573e15e32185
 SHA512 
ac7800d35cba9b11e1fcfd831419caa1fb32fc1747499f780a40005cf57a87be4562f52251b8f5482156ad98892d41fe5060e48f74a75a0d1657dd5c04b8ee92
+DIST hiera-eyaml-3.3.0.tar.gz 60385 BLAKE2B 
222c0e531a0b713a0d996895168229468f131d9ce1dd786ef8337b5d9ec8a322e336bd12191253fb09e11d60682491081acd5b946a7257b6183e6533fe924811
 SHA512 
4bb81b87244177a4ab3ca80d0a5e67a8e6534dbdf4d489ca9f918ea97981e50d203e441cff6a35996878b6fa91815e00bdb8261e19359bb3f00efc14b1f25e0d

diff --git a/dev-ruby/hiera-eyaml/hiera-eyaml-3.3.0.ebuild 
b/dev-ruby/hiera-eyaml/hiera-eyaml-3.3.0.ebuild
new file mode 100644
index 000000000000..0c4a92e3baa9
--- /dev/null
+++ b/dev-ruby/hiera-eyaml/hiera-eyaml-3.3.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md PLUGINS.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Encrypted YAML backend for hiera"
+HOMEPAGE="https://github.com/TomPoulton/hiera-eyaml";
+SRC_URI="https://github.com/TomPoulton/hiera-eyaml/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/highline-1.6.19:*"
+ruby_add_rdepend "dev-ruby/optimist"
+ruby_add_rdepend "!!dev-ruby/hiera-eyaml:0" # both install the /usr/bin/eyaml 
binary
+
+ruby_add_bdepend "test? ( dev-util/cucumber ~dev-util/aruba-0.6.2 
<app-admin/puppet-6 dev-ruby/hiera-eyaml-plaintext )"
+
+all_ruby_prepare() {
+       # Fix highline dependency to be compatible with more versions.
+       sed -i -e '/highline/ s/~>/>=/' \
+               -e '/gem.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+       sed -i -e "s:/tmp:${T}:" \
+               
features/sandbox/puppet/environments/local/modules/test/manifests/run.pp \
+               
features/sandbox/puppet-hiera-merge/environments/local/modules/test/manifests/run.pp
 \
+               
features/sandbox/puppet-envvar/environments/local/modules/test/manifests/run.pp 
\
+               features/puppet.feature
+}
+
+each_ruby_prepare() {
+       # Run tests with the correct ruby interpreter
+       sed -i -e 's:I run `eyaml:I run `'${RUBY}' '"${S}"'/bin/eyaml:' 
features/*.feature || die
+
+}
+
+each_ruby_test() {
+       ${RUBY} -S cucumber --format progress features || die
+}

Reply via email to